Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPVariableTemplatePartialSpecialization

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `ICPPBinding`, `ICPPPartiallySpecializable`, `ICPPPartialSpecialization`, `ICPPTemplateDefinition`, `ICPPVariable`, `ICPPVariableTemplate`, `IVariable`

public interface ICPPVariableTemplatePartialSpecialization extends ICPPVariableTemplate, ICPPPartialSpecialization
Partial specialization of a variable template.

Since:
  6.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPPartialSpecialization

`EMPTY_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`EMPTY_VARIABLE_ARRAY`

## Method Summary

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPPartiallySpecializable

`getPartialSpecializations`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPPartialSpecialization

`getPrimaryTemplate, getTemplateArguments`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPTemplateDefinition

`getTemplateParameters`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPVariable

`isConstexpr, isExternC, isMutable`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`getInitialValue, getType, isAuto, isExtern, isRegister, isStatic`